Mulitiple PHP Versions

Discussion in 'HOWTO-Related Questions' started by FSNTiger, Sep 23, 2014.

  1. FSNTiger

    FSNTiger Member

  2. srijan

    srijan New Member HowtoForge Supporter

    Did you followed the chapter 3 of the guide word to word?

    At which path did you created the directory?
     
  3. till

    till Super Moderator Staff Member ISPConfig Developer

    Please run the command:

    make clean

    in the directory where you run the configure right before you run the configure command.
     
  4. FSNTiger

    FSNTiger Member

    I will try this tomorrow

    I will give this a try tomorrow. Sorry for my delayed response, apparently Google decided my forum mails were junk.
     
  5. FSNTiger

    FSNTiger Member

    Ok, here what I tried:

    [[email protected] opt]# cd /opt/php-5.3.22/
    [[email protected] php-5.3.22]# make clean
    make: *** No rule to make target `clean'. Stop.

    I have already installed both versions, but they are just not working quite right. Do I need to uninstall first? If so, how do I do that?
     
  6. srijan

    srijan New Member HowtoForge Supporter

    Please sun the command
    in the directory where you run the configure command.

    Just after the command Run the command
     
  7. FSNTiger

    FSNTiger Member

    I have already run those commands, will it install over itself or do I need to somehow remove the version?
     
  8. srijan

    srijan New Member HowtoForge Supporter

    Do one thing Please run the command

    in the directory where you run the configure command.

    Further rename the same folder like /opt/php5.45.old,
    create same type of folder in /opt/php5.45 and then further run the configure command.

    It will act as a fresh installed php
     
  9. conductive

    conductive Member

    The build failed and as a result the etc directory does not exist.

    If you erase the whole build directory it will work everytime
     
  10. conductive

    conductive Member

    since memchched is installed globally should extension=memcached.so still be added to the php.ini?
     

Share This Page